Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - orbital-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: orbital-git 0.1.883-1

Git Clone URL: https://aur-dev.archlinux.org/orbital-git.git (read-only)
Package Base: orbital-git
Description: A Wayland shell client
Upstream URL: https://github.com/giucam/orbital
Licenses: LGPL
Submitter: klusark
Maintainer: garydelaney
Last Packager: garydelaney
Votes: 13
Popularity: 0.092164
First Submitted: 2013-08-12 01:03
Last Updated: 2017-02-01 04:09

Latest Comments

1 2 3 4 Next › Last »

garydelaney commented on 2017-01-31 21:25

sorry for the delay on the updated dependency

TrialnError commented on 2016-10-29 00:41

The dependency weston-orbital-git could probably be switched to weston from the repo, since the 1.12 release.
At least compiling orbital worked for me with repo weston and it is running

giucam commented on 2016-07-26 16:15

@DrunkCat You still need weston from git master though.

DrunkCat commented on 2016-07-26 15:09

Errors while compiling:

/tmp/yaourt-tmp-cat/aur-orbital-git/src/orbital/src/compositor/view.h:67:26: error: ‘struct weston_view’ has no member named ‘is_mapped’
void map() { m_view->is_mapped = true; }
^~~~~~~~~
In file included from /tmp/yaourt-tmp-cat/aur-orbital-git/src/orbital/src/compositor/dummysurface.h:24:0,
from /tmp/yaourt-tmp-cat/aur-orbital-git/src/orbital/src/compositor/compositor.cpp:43:
/tmp/yaourt-tmp-cat/aur-orbital-git/src/orbital/src/compositor/surface.h: In member function ‘void Orbital::Surface::map()’:
/tmp/yaourt-tmp-cat/aur-orbital-git/src/orbital/src/compositor/surface.h:66:29: error: ‘struct weston_surface’ has no member named ‘is_mapped’
void map() { m_surface->is_mapped = true; }

desaparecido commented on 2016-07-05 10:31

hi, with weston-orbital-git I have this error message a lot of times and no successfully build:

*******************************************************
* *
* WARNING: XML failed validation against built-in DTD *
* *
*******************************************************

but like @giucam says, with weston-git all builds fine and no warning messages, so probably is time to change the dependency package from weston-orbital-git to weston-git ? thanks

giucam commented on 2016-07-03 12:41

The master branch now builds with the most recent vanilla weston from git, my fork is no longer required. It is so only for the "wip" branch, which uses functionality that is not merged yet in weston.

garydelaney commented on 2015-06-03 13:48

fixed

flannelhead commented on 2015-05-21 10:40

It should be qt5-quickcontrols in plural, not qt5-quickcontrol.

garydelaney commented on 2015-05-16 15:08

Added those dependencies.

giucam commented on 2015-05-10 07:47

The PKGBUILD is missing the qt5-graphicaleffects and qt5-quickcontrol dependencies.